Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.fill
Class JRFillItemLabel

    java.lang.Object
      net.sf.jasperreports.charts.fill.JRFillItemLabel

All Implemented Interfaces:
  java.lang.Cloneable, JRItemLabel, JRCloneable

    public class JRFillItemLabel

extends java.lang.Object
implements JRItemLabel

Version:
  $Id: JRFillItemLabel.java 3938 2010-08-19 14:59:36Z teodord $
Author:
  sanda zaharia (shertage@users.sourceforge.net)

Field Summary
`protected JRChart` | `chart`
`protected JRItemLabel` | `parent`

Constructor Summary
`JRFillItemLabel(JRItemLabel itemLabel, JRFillObjectFactory factory)`

Method Summary
`java.lang.Object` | `clone()`
`java.awt.Color` | `getBackgroundColor()` Returns the item label background color
`JRChart` | `getChart()`
`java.awt.Color` | `getColor()` Returns the item label text color
`JRFont` | `getFont()` Returns the item label font.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected JRItemLabel parent

### chart

    protected JRChart chart

Constructor Detail

### JRFillItemLabel

    public JRFillItemLabel(JRItemLabel itemLabel,
                           JRFillObjectFactory factory)

Method Detail

### getChart

    public JRChart getChart()

  Specified by:
    `getChart` in interface `JRItemLabel`

### getColor

    public java.awt.Color getColor()

  Description copied from interface: `JRItemLabel`
  Returns the item label text color

  Specified by:
    `getColor` in interface `JRItemLabel`
  Returns:
    the item label text color

### getBackgroundColor

    public java.awt.Color getBackgroundColor()

  Description copied from interface: `JRItemLabel`
  Returns the item label background color

  Specified by:
    `getBackgroundColor` in interface `JRItemLabel`
  Returns:
    the item label background color

### getFont

    public JRFont getFont()

  Description copied from interface: `JRItemLabel`
  Returns the item label font.

  Specified by:
    `getFont` in interface `JRItemLabel`
  Returns:
    the item label font

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com